Package lxml :: Module etree :: Class TreeBuilder |
[frames] | no frames]

# Class TreeBuilder

          object --+
                   |
    _SaxParserTarget --+
                       |
                      TreeBuilder

TreeBuilder(self, element_factory=None, parser=None) Parser target that builds a tree.

The final tree is returned by the `close()` method.

Instance Methods
__init__(self, element_factory=None, parser=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |
a new object with type S, a subtype of T |
__new__(T, S, ...) |
close(self) Flushes the builder buffers, and returns the toplevel document element. |
comment(self, comment) |
data(self, data) Adds text to the current element. |
end(self, tag) Closes the current element. |
pi(self, target, data) |
start(self, tag, attrs, nsmap=None) Opens a new element. |
Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, element_factory=None, parser=None) (Constructor) |
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__

### __new__(T, S, ...) |
Returns: a new object with type S, a subtype of T Overrides: object.__new__

### data(self, data) |
Adds text to the current element. The value should be either an 8-bit string containing ASCII text, or a Unicode string.